[tool.poetry]
name = "kddm2-code-submission"
version = "0.1.0"
description = ""
authors = ["Gaisberger Patrick <patrick.gaisberger@student.tugraz.at>"]
readme = "README.md"
packages = [{include = "kddm2_code_submission"}]

[tool.poetry.dependencies]
python = "^3.10"
pandas = "^1.5.3"
setuptools = "=65.5.0"
torch = "^1.13.1"
scikit-learn = "^1.2.0"
matplotlib = "^3.6.3"
tqdm = "^4.64.1"
pmdarima = "^2.0.2"
more-itertools = "^9.0.0"
statsmodels = "^0.13.5"
coverage = "^7.0.5"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
